MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Bind An Org Key To A ProviderCancel Subscription ImmediatelyCancel Subscription At Period EndChange Subscription PlanClaim Organisation DomainAdd Org Provider ModelRegister Org ProviderCreate OrganisationClear Org Credential AssignmentDelete Org Provider ModelDelete Org ProviderDelete OrganisationDelete Schema Notification WebhookDelete SSO ConfigDisable SCIMGenerate SCIM TokenGet Notification Badge CountsGet OrganisationGet Recording PolicyGet SCIM StatusGet SSO ConfigInvite Organisation MemberList Organisation DomainsList Organisation MembersList My OrganisationsList Organisation BundlesList Organisation ListingsList Organisation MCPsList Org Provider ModelsList Org ProvidersList Organisation InvoicesList SCIM Role MappingsSet Org Credential AssignmentRefresh Org Provider Models From EndpointRemove Organisation DomainRemove Organisation MemberReplace SCIM Role MappingsSave SSO ConfigSet Schema Notification WebhookStart Subscription CheckoutSync SCIM UsersTest An Org Provider EndpointRemove An Org Key From A ProviderUpdate Member RoleUpdate Org Provider ModelUpdate Org ProviderUpdate Organisation VariablesUpdate OrganisationUpdate Organisation PolicyUpdate Recording PolicyVerify Organisation Domain
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceOrganisations

Change Subscription Plan

POST
/v1/organisations/{org_id}/subscription/change-plan

Switches org_id's active subscription to plan_id. A pricier plan (by price_cents) applies immediately with a prorated token top-up; a cheaper plan is deferred to the next renewal so the org keeps this period's already-paid-for tokens. See spec Decision 3.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

org_id*Org Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08/subscription/change-plan" \  -H "Content-Type: application/json" \  -d '{    "plan_id": "00713021-9aea-41da-9a88-87760c08fa72"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",  "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",  "pending_plan_id": "629d4fe1-0d1e-4644-a391-11a603324978",  "status": "string",  "current_period_start": "2019-08-24T14:15:22Z",  "current_period_end": "2019-08-24T14:15:22Z",  "cancel_at_period_end": false,  "canceled_at": "2019-08-24T14:15:22Z"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Cancel Subscription At Period End

Previous Page

Claim Organisation Domain

Next Page

plan_id*Plan Id
Formatuuid